import sys
import regex as re
from collections import Counter
from collections import OrderedDict
from itertools import islice
import matplotlib.pyplot as plt
import numpy as np
from math import log
def get_freq_list_sorted_by_len(c):

    items = c.items()

    return OrderedDict(sorted(items, key=lambda t: len(t[0]), reverse=True))


def get_freq_list(c):

    items = c.items()

    return OrderedDict(sorted(items, key=lambda t:t[1], reverse=True))


def get_avg_words_len_in_sent(sent):
    len_words_sum = 0
    splitted_sent = sent.split()
    for word in splitted_sent:
        len_words_sum += len(word)
    return len_words_sum / len(splitted_sent)


file = open('News-Commentary-v16', 'r' )

lines = Counter({})
x = []
y = []
for line in file:
    line=line.rstrip()
    upper_counter = 0
    for word in line.split():
        if word.isupper():
            upper_counter+=1
    x.append(len(line.split()))
    y.append(upper_counter)

color=['red','green','blue', 'yellow', 'grey', 'brown', 'pink']

colors = [color[i%6] for i in range(len(x))]
fig, ax = plt.subplots()

ax.scatter(x, y, c=colors, facecolors='none', edgecolors='r', cmap="jet")
plt.xlabel('Długość zdania w wyrazach', fontsize=16)
plt.ylabel('Ilość wyrazów pisanych \nw całości z wielkich liter', fontsize=16)

# plt.show()
plt.savefig('uppercases_are_in_short_sents')

